irsimsend(1)

NAME
irsimsend- send simulated IR data.

SYNOPSIS
irsimsend [-v|-h|-c <count>|-U plugindir] irsimsend <configfile>

DESCRIPTION
irsimsend is a simple test tool which given a configuration file will send all keys defined in that file or the keys listed in another file. The program uses the file driver to log all sent data (pulses/spaces durations) into a file 'simsend.out'. The symbols sent are printed on stdout.

OPTIONS

-c, --count <count>
    Repeat each sent signal <count> times.

-U, --plugindir <path>
    Load drivers from <path>, a ':' separated search path similar to $PATH.

-l,--listfile <path>
    Send symbols listed in file instead of just the symbols in the config file. The file could either be listing a single key symbol per line, or have a complete code string like 000000000000a123 01 KEY_POWER brand on each line.

-v , --version
    Print version and exit.

-h , --help
    Print help message.

FILES

~/.cache/irsimsend.log
    Debug output. Setting the XDG_CACHE_HOME environment variable relocates this file to $XDG_CACHE_HOME/irsimsend.log

SEE ALSO
The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.